| Home | Libraries | People | FAQ | More

###### ssl_stream::next_layer (2 of 2 overloads)

Get a reference to the next layer.

###### Synopsis

    next_layer_type&
    next_layer();

###### Description

This function returns a reference to the next layer in a stack of stream layers.

###### Remarks

The next layer is the wrapped stream and not the `flat_stream` used in the implementation.

###### Return Value

A reference to the next layer in the stack of stream layers. Ownership is not transferred to the caller.